import pytest,allure,xlrd,requests,os
from common.utils.getExcelData import  get_excelData
from service.login import BMY
from common.tools import request_main
from config import *
from service.login import BMY



@allure.feature("全息档案")
class TestEnterpriseArchives():
    workBook = xlrd.open_workbook(f'{BaseConfig.root_path}/test_case_data/safe_transportation/jgd_archives.xlsx')

    @allure.story("企业档案列表")
    @allure.title("{inData[testPoint]}")
    @allure.testcase("http://yapi.hikcreate.com/project/336/interface/api/69879")
    @allure.description("/enterprise-archives/query")
    @pytest.mark.parametrize("inData", get_excelData(workBook, '全息档案', 'enterpriseArchives'))
    def test_enterpriseArchives(self, inData):
        url = f"{SafeTransportationConfig().SSO_url}{inData['url']}"
        headers = inData['headers']
        method = inData['method']
        data = inData['reqData']
        expectData = inData['expectData']
        res = request_main(url, headers, method, data)
        allure.attach(f"{res}", "响应结果", allure.attachment_type.TEXT)
        assert res['code'] == expectData['code']


    @allure.story("企业档案详情")
    @allure.title("{inData[testPoint]}")
    @allure.testcase("http://yapi.hikcreate.com/project/336/interface/api/83952")
    @allure.description("/enterprise-archives/enterpriseArchiveDetail")
    @pytest.mark.parametrize("inData",get_excelData(workBook,"全息档案","enterpriseArchiveDetail"))
    def test_enterpriseArchiveDetail(self,inData):
        url = f"{SafeTransportationConfig().SSO_url}{inData['url']}"
        headers = inData['headers']
        method = inData['method']
        data = inData['reqData']
        expectData = inData['expectData']
        res = request_main(url, headers, method, data)
        allure.attach(f"{res}","响应结果",allure.attachment_type.TEXT)
        assert res['code'] == expectData['code']



if __name__ == '__main__':
    for one in os.listdir('../../../report/tmp'):  # 列出对应文件夹的数据
        if 'json' in one:
            os.remove(f'../../../report/tmp/{one}')
    pytest.main(['test_archives.py', '-s', '--alluredir', '../../../report/tmp'])
    # # 启动默认浏览器打开报告
    os.system('allure serve ../../../report/tmp')